Viewing Issue Advanced Details Jump to Notes ] seta.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04405 Graphics Minor Always Jul 3, 2011, 12:32 Jul 8, 2015, 14:30
Tester Haze View Status Public Platform MAME (Self-compiled)
Assigned To Mamesick Resolution Fixed OS Windows Vista/7 (64-bit)
Status [?] Resolved   Driver seta.cpp
Version 0.143 Fixed in Version 0.164 Build Normal
Summary 04405: tndrcade + others: Offset issues in seta drivers
Description Not all game layer offsets have been re-verified after the collapse and merge of the Seta001A video implementations

All games should be verified both with and without flipscreen enabled and checked against PCBs in worst cases.

tndrcade appears to have issues in the intro, there may be others.

tndrcade has bad flickering of sprites too, but that definitely occurred before the rewrite.

twinhawk (taito_x.c) has a fine green line along the right side too, which could indicate offsets are off by 1 there.
Steps To Reproduce
Additional Information
Flags
Regression Version 0.142u3
Affected Sets / Systems tndrcade + others
Attached Files
png file icon 0013.png (5,862 bytes)  Jul 3, 2011, 16:09 by Haze
Haze
png file icon 0000.png (29,622 bytes)  Jul 3, 2011, 16:10 by Haze
Haze
gif file icon Thundercade 0142u2-0142u3.gif (27,528 bytes)  Mar 14, 2012, 17:24 by M.A.S.H.
M.A.S.H.
gif file icon Thundercade 0142u2-0142u3-InGame.gif (56,836 bytes)  Mar 14, 2012, 17:37 by M.A.S.H.
M.A.S.H.

- Relationships
has duplicate 05917Closed tndrcade, tndrcadej: Graphics position wrong 
related to 04877ResolvedMamesick usclssic: Graphics are shifted. 

-  Notes
User avatar
No.07630
Tafoid
(Administrator)
Jul 3, 2011, 14:54
Please provide some before and after snapshots to better illustrate your bug assertion.
User avatar
No.08703
haynor666
(Tester)
May 31, 2012, 20:16
edited on: May 31, 2012, 20:17
Thundercade probably should be 384x240 instead of 384x224. Just look at Thunder and Lighting or Twin Eagle resolution.

User avatar
No.08704
Haze
(Senior Tester)
May 31, 2012, 20:35
I doubt it, that would make the graphical problems far worse, x224 is a rather normal / expected resolution, the only likely difference is that the games running at x240 probably have a slightly different framerate due to different video modes etc.
User avatar
No.11850
haynor666
(Tester)
Jul 7, 2015, 19:01
Offsets seems to fixed by MameSick.
User avatar
No.11858
Mamesick
(Senior Tester)
Jul 8, 2015, 12:42
Fixed the vast majority of the games in seta.c. If in 0.164 you will still find something wrong, feel free to re-open and post details. Thanks
User avatar
No.11860
haynor666
(Tester)
Jul 8, 2015, 14:30
edited on: Jul 8, 2015, 14:43
Actually there is still one problem with Thundercade very similiar to Blandia problem - during attract some graphics elements are corrupted and "tndrcade has bad flickering of sprites too, but that definitely occurred before the rewrite."